package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;

public interface UserInfoService {
    //查询个人信息接口
    Result<?> queryUserInfo(String token);

    //修改个人信息接口
    Result<?> updateUserInfo(String token, String nickName, String phone, String headImage);

    //获取个人中心基础数据信息
    Result<?> getUserCenterData(String token);
}
